#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gnome-chess
Version		:	42.0
Release		:	14.8.0.0%{?dist}
Summary		:	GNOME Chess game

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and CC-BY-SA
URL		:	https://wiki.gnome.org/Apps/Chess
Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	gtk3+
BuildRequires	:	itstool
BuildRequires	:	vala
BuildRequires	:	pkgconfig(librsvg-2.0)
BuildRequires	:	pkgconfig(libadwaita-1)

Requires	:	gnuchess
Requires	:	gtk3+
#-----------------------------------------------------------------------------
%description
A chess game that supports several chess engines

#-----------------------------------------------------------------------------
%files	-f	 %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%config(noreplace) %{_sysconfdir}/%{name}/engines.conf
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.gnome.Chess.service
%{_datadir}/glib-2.0/schemas/org.gnome.Chess.gschema.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Chess.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Chess-symbolic.svg
%{_datadir}/metainfo/org.gnome.Chess.appdata.xml
%{_mandir}/man6/%{name}.6.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  fi

#-----------------------------------------------------------------------------
%posttrans
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null

#=============================================================================
%prep
%autosetup -p1

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	--buildtype=plain				\
	build

meson							\
	compile						\
	-C build

#-----------------------------------------------------------------------------
%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C build

%find_lang %{name} --with-gnome

#-----------------------------------------------------------------------------
%changelog

